org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcColumnMetaV4

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.jdbc.JdbcColumnMeta
  - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcColumnMetaV2
    - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcColumnMetaV3
      - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcColumnMetaV4

All Implemented Interfaces:
  JdbcRawBinarylizable

    public class JdbcColumnMetaV4
    extends JdbcColumnMetaV3

JDBC column metadata V4.

### Constructor Summary

Constructors
Constructor and Description
`JdbcColumnMetaV4(String schemaName, String tblName, String colName, Class<?> cls, boolean nullable, Object dfltVal, int precision, int scale)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `precision()`
`void` `readBinary(BinaryReaderExImpl reader, ClientListenerProtocolVersion ver)` Reads fields from provided reader.
`int` `scale()`
`String` `toString()`
`void` `writeBinary(BinaryWriterExImpl writer, ClientListenerProtocolVersion ver)` Writes fields to provided writer.

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcColumnMetaV3

`defaultValue`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcColumnMetaV2

`isNullable`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcColumnMeta

`columnName, dataType, dataTypeClass, dataTypeName, equals, hashCode, schemaName, tableName`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JdbcColumnMetaV4

    public JdbcColumnMetaV4(String schemaName,
                            String tblName,
                            String colName,
                            Class<?> cls,
                            boolean nullable,
                            Object dfltVal,
                            int precision,
                            int scale)

Parameters:
  `schemaName` - Schema.
  `tblName` - Table.
  `colName` - Column.
  `cls` - Type.
  `nullable` - Allow nulls.
  `dfltVal` - Default value.
  `precision` - Decimal column precision.
  `scale` - Decimal column scale.

### Method Detail

#### precision

    public int precision()

Overrides:
  `precision` in class `JdbcColumnMeta`
Returns:
  Column's precision.

#### scale

    public int scale()

Overrides:
  `scale` in class `JdbcColumnMeta`
Returns:
  Column's scale.

#### writeBinary

    public void writeBinary(BinaryWriterExImpl writer,
                            ClientListenerProtocolVersion ver)

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `writeBinary` in class `JdbcColumnMetaV3`
Parameters:
  `writer` - Binary object writer.
  `ver` - ver Protocol version.

#### readBinary

    public void readBinary(BinaryReaderExImpl reader,
                           ClientListenerProtocolVersion ver)

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `readBinary` in class `JdbcColumnMetaV3`
Parameters:
  `reader` - Binary object reader.
  `ver` - Protocol version.

#### toString

    public String toString()

Overrides:
  `toString` in class `JdbcColumnMetaV3`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018